title: Tournament
tabs:
  main:
    display: Main
    sections:
      -
        display: 'Infos de base'
        fields:
          -
            handle: title
            field:
              type: text
              required: true
              validate:
                - required
          -
            handle: game
            field:
              type: text
              display: Game
              instructions: 'Nom du jeu'
              width: 66
          -
            handle: type
            field:
              options:
                -
                  key: stier
                  value: Tier-S
                -
                  key: atier
                  value: Tier-A
                -
                  key: rythm
                  value: 'Rythm Tier'
                -
                  key: family
                  value: 'Family Tier'
              max_items: 1
              type: select
              display: type
              instructions: 'Type de tournoi'
              width: 33
          -
            handle: description
            field:
              remove_empty_nodes: false
              type: bard
              display: description
          -
            handle: logo
            field:
              max_files: 1
              container: assets
              type: assets
              display: Logo
              instructions: 'Transparent tournament logo'
              mode: grid
              width: 50
          -
            handle: backdrop
            field:
              max_files: 1
              container: assets
              type: assets
              display: Backdrop
              instructions: 'Image du jeu'
              sortable: false
              width: 50
              mode: grid
          -
            handle: video
            field:
              type: video
              display: video
              instructions: 'Video du tournoi'
              sortable: false
      -
        display: 'Dates and place'
        fields:
          -
            handle: qualif_start
            field:
              time_enabled: true
              type: date
              display: qualif_start
              instructions: 'Debut des qualifs'
          -
            handle: start
            field:
              time_enabled: true
              type: date
              display: start
              instructions: 'Debut du tournoi'
          -
            handle: end
            field:
              time_enabled: true
              type: date
              display: End
              instructions: 'Fin du tournoi'
      -
        display: Guests
        instructions: 'Infos des invités'
        fields:
          -
            handle: guests
            field:
              type: replicator
              display: Guests
              sets:
                new_set_group:
                  display: 'New Set Group'
                  sets:
                    guest:
                      display: Guest
                      icon: user-avatar
                      fields:
                        -
                          handle: name
                          field:
                            type: text
                            display: Name
                        -
                          handle: country
                          field:
                            type: text
                            display: Country
                            width: 50
                        -
                          handle: flag
                          field:
                            max_files: 1
                            container: assets
                            type: assets
                            display: Flag
                            width: 50
                        -
                          handle: picture
                          field:
                            container: assets
                            type: assets
                            display: Picture
                            instructions: 'Image détourée du guest'
                            max_files: 1
                        -
                          handle: reveal
                          field:
                            type: toggle
                            display: Reveal
                            instructions: "Si pas reveal, l'image du joueur sera remplacée par une silhouette noire"
  sidebar:
    display: Sidebar
    sections:
      -
        fields:
          -
            handle: slug
            field:
              type: slug
              localizable: true
              validate: 'max:200'
